std::__future_base::_Result< _Res >(3cxx)

NAME
std::__future_base::_Result< _Res > - A result object that has storage for an object of type _Res.

SYNOPSIS

#include <future>

Inherits std::__future_base::_Result_base.

Inherited by std::__future_base::_Result_alloc< _Res, _Alloc >.

  Public Types

typedef _Res result_type

  Public Member Functions

void _M_set (_Res &&__res)
void _M_set (const _Res &__res)
_Res & _M_value () noexcept

  Public Attributes

exception_ptr _M_error

Detailed Description

  template<typename _Res>
struct std::__future_base::_Result< _Res >"A result object that has storage for an object of type _Res.

Definition at line 227 of file future.

Member Typedef Documentation

  template<typename _Res > typedef _Res std::__future_base::_Result< _Res >::result_type

Definition at line 234 of file future.

Constructor & Destructor Documentation

  template<typename _Res > std::__future_base::_Result< _Res >::_Result () [inline], [noexcept]

Definition at line 236 of file future.

  template<typename _Res > std::__future_base::_Result< _Res >::~_Result () [inline]

Definition at line 238 of file future.

Member Function Documentation

  template<typename _Res > void std::__future_base::_Result< _Res >::_M_set (_Res && __res) [inline]

Definition at line 256 of file future.

  template<typename _Res > void std::__future_base::_Result< _Res >::_M_set (const _Res & __res) [inline]

Definition at line 249 of file future.

  template<typename _Res > _Res & std::__future_base::_Result< _Res >::_M_value () [inline], [noexcept]

Definition at line 246 of file future.

Member Data Documentation

  exception_ptr std::__future_base::_Result_base::_M_error [inherited]

Definition at line 203 of file future.

Author

Generated automatically by Doxygen for libstdc++ from the source code.